View Issue Details

IDProjectCategoryView StatusLast Update
0000130BwPostmanSubscribers Frontendpublic2020-07-30 16:13
Reporterdstreichert Assigned ToRomana  
PriorityhighSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.3 
Target Version3.0Fixed in Version2.4 
Summary0000130: The content of the "activation_salutation_text" field should be edited by the "BwPostman Plugin Personalize" plugin before inser
DescriptionThe content of the "activation_salutation_text" field should be edited by the "BwPostman Plugin Personalize" plugin before inserting it into the activation email.
I would also have a solution for this in version 2.3.1. The following must be inserted in the file "/testshops/joomla/components/com_bwpostman/helpers/subscriberhelper.php" before line 374.
$app = \Joomla\CMS\Factory::getApplication();
$subscriber_id = $app->getUserState("com_bwpostman.subscriber.id");
                if(isset($subscriber_id)) {
                    JPluginHelper::importPlugin('bwpostman');
                    $dispatcher = JEventDispatcher::getInstance();
                    JPluginHelper::isEnabled('bwpostman', 'personalize') && $dispatcher->trigger('onBwPostmanPersonalize', array('com_bwpostman.send', &$active_title, $subscriber_id));
                }
It would be nice if this would be included in one of the next versions.
TagsNo tags attached.

Activities

dstreichert

2020-03-14 15:02

reporter  

subscriberhelper.php.diff (950 bytes)   
--- subscriberhelper.orig.php	2020-03-14 14:10:48.965000277 +0100
+++ subscriberhelper.php	2020-03-14 14:54:03.352990380 +0100
@@ -371,6 +371,13 @@
 		$active_intro      = JText::_($params->get('activation_text'));
 		$permission_text   = JText::_($params->get('permission_text'));
 		$legal_information = JText::_($params->get('legal_information_text'));
+                $app = \Joomla\CMS\Factory::getApplication();
+                $subscriber_id = $app->getUserState("com_bwpostman.subscriber.id");
+                if(isset($subscriber_id)) {
+                    JPluginHelper::importPlugin('bwpostman');
+                    $dispatcher = JEventDispatcher::getInstance();
+                    JPluginHelper::isEnabled('bwpostman', 'personalize') && $dispatcher->trigger('onBwPostmanPersonalize', array('com_bwpostman.send', &$active_title, $subscriber_id));
+                }
 		$active_msg        = $active_title;
 		if ($name !== '')
 		{
subscriberhelper.php.diff (950 bytes)   

Issue History

Date Modified Username Field Change
2020-03-14 15:02 dstreichert New Issue
2020-03-14 15:02 dstreichert File Added: subscriberhelper.php.diff
2020-04-13 15:14 Romana Assigned To => Romana
2020-04-13 15:14 Romana Status new => resolved
2020-04-13 15:14 Romana Resolution open => fixed
2020-04-13 15:14 Romana Fixed in Version => 2.4
2020-04-13 15:14 Romana Target Version => 2.4
2020-07-30 16:13 Romana Target Version 2.4 => 3.0